Plot HomeDocumentation
Collections

Create or Update Collection

Creates a new collection or updates an existing one if ID is provided

POST
/v1/collections

Creates a new collection or updates an existing one if ID is provided

Query Parameters

expand?|||array<>

Expansion fields: "all" (full enrichment, default), "none" (IDs only), or comma-separated/repeated fields (projects)

Default"all"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/collections" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "string",  "name": "string",  "slug": "string",  "description": "string",  "icon": "string",  "color": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "projectIds": [    "string"  ]}